headless lms

Redirect to a library file to show it (staff)

GET /api/assets/{id}/file. Redirect to a library file to show it (staff). Headless LMS Assets API reference.

GET
/api/assets/{id}/file

Staff only (owner, admin, instructor). Ready library files of the organization; member uploads and pending files answer 404.

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/assets/string/file"
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}